package HSPC::Plugin::SOAP::Struct::Contact;

=begin WSDL

 _ATTR prefix	$string Contact's name prefix aka 'Mr.' etc.
 _ATTR fname	$string _NEEDED Contact's First Name.
 _ATTR mname	$string Contact's Middle Name.
 _ATTR lname	$string _NEEDED Contact's Last Name.
 _ATTR suffix	$string Contact's name suffix aka 'Young' or 'Jr.' etc.
 _ATTR gender	$boolean _NEEDED Contact's gender status: 0 - Man, 1 - Women.
 _ATTR email	$string _NEEDED Contact's E-Mail address.

 _ATTR address_address1	$string _NEEDED Contact's Address line 1.
 _ATTR address_address2	$string Contact's Address line 2.
 _ATTR address_city		$string _NEEDED Contact's City.
 _ATTR address_country	$string _NEEDED Contact's Country.
 _ATTR address_state	$string _NEEDED Contact's State/Region.
 _ATTR address_zip		$string _NEEDED Contact's Zip/Postal Code.
 _ATTR address_phone	$HSPC::Plugin::SOAP::Struct::Phone _NEEDED Contact's phone.
 _ATTR address_fax		$HSPC::Plugin::SOAP::Struct::Phone Contact's fax.
 _ATTR address_mobile	$HSPC::Plugin::SOAP::Struct::Phone Contact's mobile.

=end WSDL

=cut

sub new
{
	my $me = shift;
	
	return bless {
		"prefix"	=> undef,
		"fname"		=> undef,
		"mname"		=> undef,
		"lname"		=> undef,
		"suffix"	=> undef,
		"gender"	=> undef,
		"email"		=> undef,
		"address_address1"	=> undef,
		"address_address2"	=> undef,
		"address_city"		=> undef,
		"address_country"	=> undef,
		"address_state"		=> undef,
		"address_zip"		=> undef,
		"address_phone"		=> undef,
		"address_fax"		=> undef,
		"address_mobile"	=> undef,
	} => $me;
}

1;
